# This file created by conda-build 2.1.17
# meta.yaml template originally from:
# /Users/buildbot/work/gitlab-ci/f6f95b82/0/bob/bob.conda/recipes/bob.ip.optflow.liu, last modified Mon Sep 18 15:05:15 2017
# ------------------------------------------------

package:
    name: bob.ip.optflow.liu
    version: 2.0.12
source:
    fn: bob.ip.optflow.liu-2.0.12.zip
    md5: 19a6af2864cfc7e87f235bbf931f1ff1
    url: https://pypi.io/packages/source/b/bob.ip.optflow.liu/bob.ip.optflow.liu-2.0.12.zip
build:
    entry_points:
        - bob_of_liu.py = bob.ip.optflow.liu.script.flow:main
    noarch: ''
    noarch_python: false
    number: '0'
    string: np113py36_0
requirements:
    build:
        - numpy 1.13.1 py36_0
        - zlib 1.2.11 0
        - certifi 2016.2.28 py36_0
        - pyparsing 2.2.0 py36_0
        - pillow 4.2.1 py36_0
        - readline 6.2 2
        - wheel 0.29.0 py36_0
        - openssl 1.0.2l 0
        - bob.core 2.1.9 np113py36_0
        - python 3.6.2 0
        - olefile 0.44 py36_0
        - giflib 5.1.4 3
        - bob.blitz 2.0.14 np113py36_0
        - libblitz 0.10 3
        - python-dateutil 2.6.1 py36_0
        - jpeg 9b 0
        - mkl 2017.0.3 0
        - boost 1.61.0 py36_0
        - libtiff 4.0.6 3
        - bob.io.video 2.0.19 np113py36_0
        - pip 9.0.1 py36_1
        - hdf5 1.8.17 2
        - pyqt 5.6.0 py36_2
        - xz 5.2.3 0
        - ffmpeg 2.8.10 4
        - jbig 2.1 0
        - x264 20131217 3
        - cycler 0.10.0 py36_0
        - icu 54.1 0
        - pkg-config 0.28 1
        - freetype 2.5.5 2
        - setuptools 36.4.0 py36_0
        - libpng 1.6.30 1
        - bob.io.base 3.0.2 np113py36_0
        - toolchain 2.3.2 0
        - matplotlib 2.0.2 np113py36_0
        - bob.ip.color 2.0.10 np113py36_0
        - six 1.10.0 py36_0
        - sqlite 3.13.0 0
        - sip 4.18 py36_0
        - pytz 2017.2 py36_0
        - qt 5.6.2 2
        - bob.io.image 2.3.0 np113py36_0
        - bob.extension 2.4.5 py36_0
        - tk 8.5.18 0
    run:
        - python
        - bob.extension
        - bob.blitz
        - bob.io.base
        - bob.io.image
        - bob.io.video
        - bob.ip.color
        - libblitz 0.10|0.10.*
        - numpy x.x
test:
    commands:
        - bob_of_liu.py --help
        - nosetests -sv bob.ip.optflow.liu
    imports:
        - bob
        - bob.ip
        - bob.ip.optflow
        - bob.ip.optflow.liu
        - bob.ip.optflow.liu.script
    requires:
        - nose
about:
    home: https://www.idiap.ch/software/bob/
    license: BSD 3-Clause
    summary: Python bindings to the optical flow framework by C. Liu
extra:
    final: true
    recipe-maintainers:
        - 183amir
